Subject: Re: [PATCH] net: dsa: Inherit dev addr from master

From: [email-masked]
Date: Wed, 27 Mar 2019 12:09:07 +0800

On 2019-02-25 21:21, Andrew Lunn wrote:
>> I think we can remove the first inherit, but if keep it, we can see
>> consistent address output by ifconfig -a before open master and slave
>> interface.
> 
> True
> 
> But it also means we see inconsistent MAC addresses on the master. The
> MAC address changes on open.
> 
> Maybe it would be better to change your master so it sets its MAC
> address during probe? Everything is then consistent all the time.
> 
> 	Andrew
I'm trying to suggest our master driver owner to set MAC address during 
probe.

I found in kernel, different driver has different implementation, some 
set it in probe, while
some in open. DSA should be generic to work with all these master 
drivers. I think this change
can help. Thanks.